# dir.h File Reference

## Classes

class | wxDirTraverser
| wxDirTraverser is an abstract interface which must be implemented by objects passed to wxDir::Traverse() function. More...
class | wxDir
| wxDir is a portable equivalent of Unix open/read/closedir functions which allow enumerating of the files in a directory. More...

## Enumerations

enum | wxDirTraverseResult { wxDIR_IGNORE = -1, wxDIR_STOP, wxDIR_CONTINUE }
| Possible return values of wxDirTraverser callback functions. More...
enum | wxDirFlags { wxDIR_FILES = 0x0001, wxDIR_DIRS = 0x0002, wxDIR_HIDDEN = 0x0004, wxDIR_DOTDOT = 0x0008, wxDIR_DEFAULT = wxDIR_FILES | wxDIR_DIRS | wxDIR_HIDDEN }
| These flags define what kind of filenames are included in the list of files enumerated by wxDir::GetFirst() and wxDir::GetNext(). More...

## Enumeration Type Documentation

enum wxDirFlags

These flags define what kind of filenames are included in the list of files enumerated by wxDir::GetFirst() and wxDir::GetNext().

Enumerator:

  wxDIR_FILES | Includes files.
  wxDIR_DIRS | Includes directories.
  wxDIR_HIDDEN | Includes hidden files.
  wxDIR_DOTDOT | Includes "." and "..".
  wxDIR_DEFAULT | Combination of the `wxDIR_FILES`, `wxDIR_DIRS`, `wxDIR_HIDDEN` flags defined above.

enum wxDirTraverseResult

Possible return values of wxDirTraverser callback functions.

Enumerator:

  wxDIR_IGNORE | Ignore this directory but continue with others.
  wxDIR_STOP | Stop traversing.
  wxDIR_CONTINUE | Continue into this directory.

|  | [ top ]